> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Campaign

> Create a new campaign configuration.

Returns the full campaign object on success.
The campaign starts in 'pending' status — use the `/action` endpoint to launch it.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/sms/api.json post /campaigns/v1/campaigns
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/campaigns:
    post:
      tags:
        - Campaigns
      summary: Create Campaign
      description: >-
        Create a new campaign configuration.


        Returns the full campaign object on success.

        The campaign starts in 'pending' status — use the `/action` endpoint to
        launch it.
      operationId: campaigns_service_create_campaigns_v1_campaigns_post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: beb3dac2-0fbe-4cf3-9bd1-8ac66efb7da5
      responses:
        '200':
          description: Campaign created successfully
          content:
            application/json:
              schema:
                $ref: c0acc02c-de97-4819-aab2-f2b1169835f5
        '400':
          description: Bad request — invalid input or constraint violation
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '404':
          description: Requested resource not found
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: 61188eef-82a8-4002-94b5-80ed8ff45c7a
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: e525ba89-10eb-466b-acde-70640ae0f189
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````